# $Revision: 1.6 $, $Date: 2011/12/23 11:21:51 $
%define		plugin memcached
Summary:	Memcached Cacti Template
Name:		cacti-template-%{plugin}
Version:	1.0
Release:	5
License:	GPL v2
Group:		Applications/WWW
Source0:	http://content.dealnews.com/dealnews/developers/cacti-%{plugin}-%{version}.tar.gz
# Source0-md5:	1febadae299aff606860da60ef3bd80e
URL:		http://dealnews.com/developers/cacti/memcached.html
Patch0:		shebang.patch
BuildRequires:	rpmbuild(macros) >= 1.554
Requires:	cacti >= 0.8.7e-8
Requires:	python-memcached
Obsoletes:	cacti-plugin-memcached
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		resourcedir		%{cactidir}/resource
%define		scriptsdir		%{cactidir}/scripts

%description
This template provides a host template and associated graphs for
graphing the output of the memcached stats command on individual
memcached installations.

Graphs are provided for Bytes Used with total capacity, Cache Hits and
Misses per second, Current Connections, Items Cached, Inbound and
Outbound Network Traffic (bits per second), and Requests per Second
for both the get and set commands.

%prep
%setup -q -n cacti-%{plugin}-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{resourcedir},%{scriptsdir}}
cp -p *.xml $RPM_BUILD_ROOT%{resourcedir}
install -p *.py $RPM_BUILD_ROOT%{scriptsdir}

%post
%cacti_import_template %{resourcedir}/cacti_memcached_host_template.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{scriptsdir}/memcached.py
%{resourcedir}/cacti_memcached_host_template.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cacti-template-memcached.spec,v $
Revision 1.6  2011/12/23 11:21:51  glen
- release 5

Revision 1.5  2011/10/27 20:11:52  glen
- this is template, not plugin, rename accordingly

Revision 1.4  2009/07/16 08:11:25  glen
- release 3

Revision 1.3  2009/07/16 08:11:10  glen
- depend on shebang in template; rel 2

Revision 1.2  2009/03/17 12:06:02  glen
- release 1

Revision 1.1  2009/02/19 17:48:30  glen
- new
